﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Text;

namespace GmailMetroNotifier.Client.Business
{
    /// <summary>
    /// Defines methods and properties for providing Atom feeds.
    /// </summary>
    public interface IAtomFeedProvider
    {
        /// <summary>
        /// Retrieves an Atom feed contents using the given credentials.
        /// </summary>
        /// <param name="credential">The credentials to be used for retrieving the Atom feed.</param>
        /// <returns>The contents of the Atom feed, or null otherwise.</returns>
        string GetAtomFeed(NetworkCredential credential);
    }
}
