﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using GmailMetroNotifier.Client.Properties;
using Windows.Data.Xml.Dom;
using Windows.UI.Notifications;

namespace GmailMetroNotifier.Client.Common
{
    internal static class Constants
    {
        public const string ApplicationId = "GmailMetroNotifier.Client";

        public const string ApplicationName = "GmailMetroNotifier";

        public const string DefaultLogSourceName = "Application";

        public static readonly Font SystemFont = SystemFonts.MessageBoxFont;

        //public const string ToastImageAlt = "Gmail";

        // Available sounds are listed in http://msdn.microsoft.com/en-us/library/windows/apps/br230842.aspx
        public static readonly string ToastSound = Settings.Default.ToastSound;

        public const int MaxAuthenticationRetries = 2;

        public static class Paths
        {
            public static readonly string ApplicationSettingsFolder = Path.Combine(
                Environment.GetFolderPath(Environment.SpecialFolder.LocalApplicationData),
                ApplicationName);

            public static readonly string CredentialsFullPath = Path.Combine(ApplicationSettingsFolder, Settings.Default.CredentialsFilename);

            //public static readonly string ToastImageFullPath = Path.Combine(ApplicationFolder, "ToastImage.png");
        }

        public static class Urls
        {
            public const string GmailAtomFeedUrl = "https://mail.google.com/mail/feed/atom";

            public const string GmailUrl = "https://mail.google.com/mail";
        }
    }
}
