﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GmailMetroNotifier.Client.Common
{
    /// <summary>
    /// Represents the severity levels of a message to be logged.
    /// </summary>
    public enum MessageSeverity : int
    {
        /// <summary>
        /// No severity specified. This value should never be used.
        /// </summary>
        [EditorBrowsable(EditorBrowsableState.Never)]
        Undefined = 0,

        /// <summary>
        /// Specifies the message is for informational purposes.
        /// This value represents the lowest severity level.
        /// </summary>
        Information = 1,

        /// <summary>
        /// Specifies the message is about a warning.
        /// </summary>
        Warning = 2,

        /// <summary>
        /// Specifies the message is about an error.
        /// </summary>
        Error = 3,

        /// <summary>
        /// Specifies the message is about a critical condition.
        /// This value represents the highest severity level.
        /// </summary>
        Critical = 4,
    }
}
