﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GmailMetroNotifier.Client.UIP
{
    /// <summary>
    /// Represents the actions that the user can do with a notification
    /// </summary>
    public enum NotificationResult : int
    {
        /// <summary>
        /// No interaction from user
        /// </summary>
        None = 0,

        /// <summary>
        /// User accepted the notification
        /// </summary>
        OK = 1,

        /// <summary>
        /// User dismissed the notification
        /// </summary>
        Cancel = 2,

        /// <summary>
        /// User requested to abort the notification-associated action
        /// </summary>
        Abort = 3,

        /// <summary>
        /// User requested to retry the notification-associated action
        /// </summary>
        Retry = 4,

        /// <summary>
        /// User requested to ignore the notification-associated action
        /// </summary>
        Ignore = 5,
    }
}
